Subject: bug#20880: 25.0.50; etags fails to work

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Jun 2015 18:39:48 +0300

> Date: Tue, 23 Jun 2015 13:18:16 +0100
> From: jpff <[email-masked]>
> 
> 
> I used to use etags and M-. to navigate my 0.5m lines of code but for
> a while now it just does not work
> Debugger entered--Lisp error: (error "Autoloading failed to define function xref-find-definitions")
>   autoload-do-load((autoload "xref" 1654971 t nil) xref-find-definitions)
>   command-execute(xref-find-definitions)
> 
> I can load xref.elc by hand, but that makes no difference.

Please provide a full recipe starting from "emacs -Q".  I cannot
reproduce the problem with today's master, FWIW.